Summary:                A SMTP virus scanning system
Name:                   clamsmtp
Version:                1.10
Release:                12%{?dist}
License:                BSD
Group:                  System Environment/Daemons
Source0:                http://memberwebs.com/stef/software/clamsmtp/clamsmtp-%{version}.tar.gz
Source1:                clamsmtpd.service
Source2:                clamsmtpd.conf
Source5:                clamsmtp-clamd.logrotate
Source6:                clamsmtp-clamd.service
Source7:                clamsmtp-clamd.conf
Source8:                clamsmtp-tmpfile.conf

Patch0:                 clamsmtp-man.patch
Patch1:                 clamsmtp-readme.patch

URL:                    http://memberwebs.com/stef/software/clamsmtp/
# kept to be able to build EPEL versions
Buildroot:              %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:          clamav-devel
BuildRequires:          systemd-units
Requires(pre):          shadow-utils
Requires(post):         systemd-sysv

Requires(preun):        chkconfig
Requires(post):         chkconfig

Requires(postun):       initscripts
Requires(preun):        initscripts

Requires:               clamav-server

%description
ClamSMTP is an SMTP filter that allows you to check for 
viruses using the ClamAV anti-virus software. It accepts 
SMTP connections and forwards the SMTP commands and 
responses to another SMTP server. The 'DATA' email body 
is intercepted and scanned before forwarding.

It aims to be lightweight, reliable, and simple 
rather than have a myriad of options. It's written in C 
without major dependencies. If you need more options then 
you could use something big like AMaViS which is written 
in PERL and can do almost anything.

Written with the Postfix mail server in mind it can be 
configured as a Postfix Content Filter. It can also 
be used as a transparent proxy to filter an entire network's 
SMTP traffic at the router.

%prep

%setup -q
%patch0 -p0 -b .man
%patch1 -p0 -b .readme

%build
%configure 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_var}/run/clamd.clamsmtp
mkdir -p $RPM_BUILD_ROOT%{_var}/log/clamd.clamsmtp
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/clamd.clamsmtp
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/clamd.clamsmtp
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/clamsmtpd
install -Dp -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/clamsmtpd.service
install -Dp -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/clamsmtpd.conf
install -Dp -m0644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/clamsmtp

install -Dp -m0644 %{SOURCE6} $RPM_BUILD_ROOT%{_unitdir}/clamsmtp-clamd.service
install -Dp -m0644 %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/clamd.d/clamsmtp.conf

install -Dp -m0644 %{SOURCE8} $RPM_BUILD_ROOT%{_prefix}/lib/tmpfiles.d/clamsmtp.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerun -- clamsmtpd < 1.10-6
# Save the current service runlevel info
# User must manually run systemd-sysv-convert --apply httpd
# to migrate them to systemd targets
/usr/bin/systemd-sysv-convert --save clamsmtpd >/dev/null 2>&1 ||:
/usr/bin/systemd-sysv-convert --save clamsmtpd-clamd >/dev/null 2>&1 ||:

# Run these because the SysV package being removed won't do them
/sbin/chkconfig --del clamsmtpd >/dev/null 2>&1 || :
/bin/systemctl try-restart clamsmtpd.service >/dev/null 2>&1 || :

/sbin/chkconfig --del clamsmtpd-clamd >/dev/null 2>&1 || :
/bin/systemctl try-restart clamsmtpd-clamd.service >/dev/null 2>&1 || :

%post
if [ $1 -eq 1 ] ; then 
    # Initial installation 
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable clamsmtpd.service > /dev/null 2>&1 || :
    /bin/systemctl stop clamsmtpd.service > /dev/null 2>&1 || :

    /bin/systemctl --no-reload disable clamsmtpd-clamd.service > /dev/null 2>&1 || :
    /bin/systemctl stop clamsmtpd-clamd.service > /dev/null 2>&1 || :
fi

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart clamsmtpd.service >/dev/null 2>&1 || :
    /bin/systemctl try-restart clamsmtpd-clamd.service >/dev/null 2>&1 || :
fi

%pre
getent passwd clamsmtp >/dev/null || useradd -r -g mail -d %{_var}/lib/clamd.clamsmtp -s /sbin/nologin -c 'User to own clamsmtp directories and default processes' clamsmtp
exit 0

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_unitdir}/clamsmtpd.service
%{_unitdir}/clamsmtp-clamd.service
%config(noreplace) %{_sysconfdir}/logrotate.d/clamsmtp
%config(noreplace) %{_sysconfdir}/clamsmtpd.conf
%config(noreplace) %{_sysconfdir}/clamd.d/clamsmtp.conf
%{_prefix}/lib/tmpfiles.d/clamsmtp.conf
%dir %attr(755,clamsmtp,mail) %{_localstatedir}/run/clamd.clamsmtp
%dir %attr(755,clamsmtp,mail) %{_localstatedir}/run/clamsmtpd
%attr(755,root,root) %{_sbindir}/clamsmtpd
%attr(755,clamsmtp,mail) %{_var}/lib/clamd.clamsmtp
%attr(755,clamsmtp,mail) %{_var}/log/clamd.clamsmtp
%{_mandir}/man5/clamsmtpd.conf.5.gz
%{_mandir}/man8/clamsmtpd.8.gz

%changelog
* Thu Nov 24 2016 Nathanael Noblet <nathanael@gnat.ca> - 1.10-12
- Fixed urls in README to point to new website 
- bug #1322048

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 31 2012 Nathanael Noblet <nathanael@gnat.ca> - 1.10-9
- Fix logrotate script

* Tue May 15 2012 Nathanael Noblet <nathanael@gnat.ca> - 1.10-8
- Fix typo in clamsmtpd.service file

* Mon May 14 2012 Nathanael Noblet <nathanael@gnat.ca> - 1.10-7
- Fix tmpfiles for F17

* Thu Jan 5 2012 Nathanael Noblet <nathanael@gnat.ca> - 1.10-6
- Added native systemd files provided by Johann
- Removed /var/run/clamd.clamsmtp

* Mon Nov 21 2011 Nathanael Noblet <nathanael@gnat.ca> - 1.10-5
- Fix log rotation

* Sun Sep 11 2011 Nathanael Noblet <nathanael@gnat.ca> - 1.10-4
- Fix bug #670569

* Tue May 24 2011 Nathanael Noblet <nathanael@gnat.ca> - 1.10-3
- Added tmpfiles.d entry

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug 12 2010 Nathanael Noblet <nathanael@gnat.ca> - 1.10-1
- Use integer for release ver
- Unified Requires(foo) style
- Added missing Requires
- Consistent macro useage
- Remove dot from initscript filename

* Mon Jul 19 2010 Nathanael Noblet <nathanael@gnat.ca> - 1.10-0.2
- Cleaned up the directories and init script names
- Added Requires(postun)
- Fixed logrotate script

* Mon Jan 18 2010 Nathanael Noblet <nathanael@gnat.ca> - 1.10-0.1
- Cleaned up for fedora guidelines
- Updated to version 1.10

* Mon Nov 1 2004 Rubio Vaughan <rubio@passim.net> 1.1-1mdk
- Updated to version 1.1

* Sat Oct 30 2004 Rubio Vaughan <rubio@passim.net> 1.0-1mdk
- Updated to version 1.0
- Added virusheader patch

* Mon Sep 27 2004 Rubio Vaughan <rubio@passim.net> 0.9-1mdk
- Updated to version 0.9
- Removed droppriv patch since it's integrated in the main
  ClamSMTP distribution now.

* Sun Sep 12 2004 Rubio Vaughan <rubio@passim.net> 0.8-2mdk
- Added droppriv patch to run clamsmtpd under a different user
- Added Mandrake init script

* Sun Sep 12 2004 Rubio Vaughan <rubio@passim.net> 0.8-1mdk
- Created clamsmtp.spec file

